List connections
JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({containerTags: ['user_123', 'project_123']})
};
fetch('https://api.supermemory.ai/v3/connections/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Responses
- 200
- 401
- 500
Example Response
[
{
"createdAt": "<string>",
"id": "<string>",
"provider": "<string>",
"documentLimit": 123,
"email": "<string>",
"expiresAt": "<string>",
"metadata": {},
"containerTags": [
"<string>"
]
}
]
Authorizations
Authorizationstring
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
containerTagsstring[]
Optional comma-separated list of container tags to filter documents by
Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
Example:
["user_123", "project_123"]
Response Fields
- createdAt
string<datetime>
required - id
string
required - provider
string
required - documentLimit
number - email
string - expiresAt
string<datetime> - metadata
object - containerTags
string[]
deprecated
Documentation Index
Fetch the complete documentation index at: https://supermemory.ai/docs/llms.txt